# ps_clip

(PECL ps >= 1.1.0)

ps_clip — Clips drawing to current path

### Description

ps_clip ( resource `$psdoc` ) : bool

Takes the current path and uses it to define the border of a clipping area. Everything drawn outside of that area will not be visible.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- ps_closepath() - Closes path